nxt

## Interface Block

-     public interface Block

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBaseTarget()`
    `byte[]` | `getBlockSignature()`
    `byte[]` | `getBytes()`
    `java.math.BigInteger` | `getCumulativeDifficulty()`
    `byte[]` | `getGenerationSignature()`
    `long` | `getGeneratorId()`
    `byte[]` | `getGeneratorPublicKey()`
    `int` | `getHeight()`
    `long` | `getId()`
    `org.json.simple.JSONObject` | `getJSONObject()`
    `long` | `getNextBlockId()`
    `byte[]` | `getPayloadHash()`
    `int` | `getPayloadLength()`
    `byte[]` | `getPreviousBlockHash()`
    `long` | `getPreviousBlockId()`
    `java.lang.String` | `getStringId()`
    `int` | `getTimestamp()`
    `long` | `getTotalAmountNQT()`
    `long` | `getTotalFeeNQT()`
    `java.util.List<? extends Transaction>` | `getTransactions()`
    `int` | `getVersion()`

- - ### Method Detail

    - #### getVersion

          int getVersion()

    - #### getId

          long getId()

    - #### getStringId

          java.lang.String getStringId()

    - #### getHeight

          int getHeight()

    - #### getTimestamp

          int getTimestamp()

    - #### getGeneratorId

          long getGeneratorId()

    - #### getGeneratorPublicKey

          byte[] getGeneratorPublicKey()

    - #### getPreviousBlockId

          long getPreviousBlockId()

    - #### getPreviousBlockHash

          byte[] getPreviousBlockHash()

    - #### getNextBlockId

          long getNextBlockId()

    - #### getTotalAmountNQT

          long getTotalAmountNQT()

    - #### getTotalFeeNQT

          long getTotalFeeNQT()

    - #### getPayloadLength

          int getPayloadLength()

    - #### getPayloadHash

          byte[] getPayloadHash()

    - #### getTransactions

          java.util.List<? extends Transaction> getTransactions()

    - #### getGenerationSignature

          byte[] getGenerationSignature()

    - #### getBlockSignature

          byte[] getBlockSignature()

    - #### getBaseTarget

          long getBaseTarget()

    - #### getCumulativeDifficulty

          java.math.BigInteger getCumulativeDifficulty()

    - #### getBytes

          byte[] getBytes()

    - #### getJSONObject

          org.json.simple.JSONObject getJSONObject()